'-----------------------------------------------------
'                (c) 1999-2003 MCS Electronics
'  CASE.BAS demonstrates SELECT CASE statement
'-----------------------------------------------------
Dim I As Byte                           'dim variable
Dim S As String * 5 , Z As String * 5

Do

  Input "Enter value (0-255) " , I
  Select Case I
    Case 1 : Print "1"
    Case 2 : Print "2"
    Case 3 To 5 : Print "3-5"
    Case Is >= 10 : Print ">= 10"
    Case Else : Print "Not in Case statement"
  End Select
Loop
End

'note that a Boolean expression like > 3 must be preceded
'by the IS keyword
